Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
ezpRestAuthorizedClient Class Reference

## Public Member Functions
| getState ()
| setState (array $properties)

## Static Public Member Functions
static | fetchForClientUser (ezpRestClient $client, eZUser $user)

## Public Attributes
| $id = null
| $rest_client_id = null
| $user_id = null
| $created = null

## Detailed Description

Persistent object class representing a REST application authorization by a user. Each entry matches one client/application allowed for oAuth by one user

Definition at line 16 of file restauthorizedclient.php.

## Member Function Documentation

## ◆ fetchForClientUser()

static ezpRestAuthorizedClient::fetchForClientUser | ( | ezpRestClient | $client,
|  | eZUser | $user
| ) |  |
| static

Returns the authorization object for a user & application

Parameters

  ezpRestClient | $client |
  eZUser | $user |

Definition at line 61 of file restauthorizedclient.php.

References $q, $results, $session, and $user.

Referenced by ezpOauthUtility\doRefreshToken(), ezpOauthUtility\doRefreshTokenWithAuthorizationCode(), and ezpRestClient\isAuthorizedByUser().

## ◆ getState()

ezpRestAuthorizedClient::getState | ( |  | ) |

Definition at line 38 of file restauthorizedclient.php.

References $created, $id, $rest_client_id, $result, and $user_id.

## ◆ setState()

ezpRestAuthorizedClient::setState | ( | array | $properties | ) |

Definition at line 48 of file restauthorizedclient.php.

## Member Data Documentation

## ◆ $created

ezpRestAuthorizedClient::$created = null

Definition at line 36 of file restauthorizedclient.php.

Referenced by getState().

## ◆ $id

ezpRestAuthorizedClient::$id = null

Definition at line 18 of file restauthorizedclient.php.

Referenced by getState().

## ◆ $rest_client_id

ezpRestAuthorizedClient::$rest_client_id = null

Definition at line 24 of file restauthorizedclient.php.

Referenced by getState().

## ◆ $user_id

ezpRestAuthorizedClient::$user_id = null

Definition at line 30 of file restauthorizedclient.php.

Referenced by getState().

The documentation for this class was generated from the following file:

- restauthorizedclient.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.